# Get a review

Fetches a review.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/gmb-reviews/{reviewId}
```

- Area: Google Business / Google Business Reviews
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)
- `reviewId` (string, required)

## Query parameters

- `locationId` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-reviews/600ff998e1bb2987295e299e" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-reviews/600ff998e1bb2987295e299e", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-reviews/600ff998e1bb2987295e299e",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `accountId`, string
- `locationId`, string
- `review`, object
  - `id`, string
  - `name`, string
  - `reviewer`, object
    - `displayName`, string
    - `profilePhotoUrl`, string: Can be null
    - `isAnonymous`, boolean
  - `rating`, integer: 0 to 5
  - `starRating`, string: One of `ONE`, `TWO`, `THREE`, `FOUR`, `FIVE`
  - `comment`, string
  - `createTime`, string (date-time)
  - `updateTime`, string (date-time)
  - `reviewReply`, object: Can be null
    - `comment`, string
    - `updateTime`, string (date-time)
  - `photoCount`, integer
  - `photos`, array of object
    - `url`, string (URL)

```json
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "locationId": "6e99c3dd69982b334a43b0b2",
  "review": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "reviewer": {
      "displayName": "Acme",
      "profilePhotoUrl": "https://pozy.ai/media/example-1.jpg",
      "isAnonymous": true
    },
    "rating": 1,
    "starRating": "ONE",
    "comment": "string",
    "createTime": "2026-10-02T09:00:00.000Z",
    "updateTime": "2026-10-02T09:00:00.000Z",
    "reviewReply": {
      "comment": "string",
      "updateTime": "2026-10-02T09:00:00.000Z"
    },
    "photoCount": 42,
    "photos": [
      {
        "url": "https://pozy.ai/media/example-1.jpg"
      }
    ]
  }
}
```
